<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ Copyright [2014] [www.rapidpm.org / Sven Ruppert (sven.ruppert@rapidpm.org)]
  ~
  ~    Licensed under the Apache License, Version 2.0 (the "License");
  ~    you may not use this file except in compliance with the License.
  ~    You may obtain a copy of the License at
  ~
  ~        http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~    Unless required by applicable law or agreed to in writing, software
  ~    distributed under the License is distributed on an "AS IS" BASIS,
  ~    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~    See the License for the specific language governing permissions and
  ~    limitations under the License.
  -->

<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>

  <parent>
    <groupId>org.rapidpm</groupId>
    <artifactId>rapidpm-dependencies</artifactId>
    <version>3.5.2</version>
  </parent>


  <groupId>org.rapidpm.proxybuilder</groupId>
  <artifactId>rapidpm-proxybuilder</artifactId>
  <version>1.0.0-SNAPSHOT</version>

  <packaging>pom</packaging>
  <modules>
    <module>bom</module>
    <module>modules</module>
  </modules>

  <inceptionYear>2013</inceptionYear>
  <organization>
    <name>RapidPM</name>
    <url>http://www.rapidpm.org</url>
  </organization>
  <url>http://www.proxybuilder.org</url>
  <name>RapidPM ProxyBuilder</name>
  <description>Builder-Pattern for different types of proxies</description>

  <scm>
    <url>https://github.com/ProxyBuilder/proxybuilder</url>
    <connection>scm:git:https://github.com/ProxyBuilder/proxybuilder.git</connection>
    <developerConnection>scm:git:https://github.com/ProxyBuilder/proxybuilder.git</developerConnection>
    <tag>HEAD</tag>
  </scm>
  <developers>
    <developer>
      <name>Sven Ruppert</name>
      <email>sven.ruppert@gmail.com</email>
      <roles>
        <role>Developer</role>
      </roles>
      <timezone>+1</timezone>
    </developer>
  </developers>
  <issueManagement>
    <system>Youtrack</system>
    <url>https://issues.rapidpm.org/issues?q=project%3A+ProxyBuilder</url>
  </issueManagement>
  <ciManagement>
    <system>TeamCity</system>
    <url>https://build.rapidpm.org/viewType.html?buildTypeId=RapidPM_Develop_ProxyBuilder_Snapshot</url>
  </ciManagement>
  <licenses>
    <license>
      <name>The Apache Software License, Version 2.0</name>
      <url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
      <distribution>repo</distribution>
      <comments>A business-friendly OSS license</comments>
    </license>
  </licenses>




  <!--Change BOM too !!-->
  <properties>
    <rapidpm-proxybuilder.version>1.0.0-SNAPSHOT</rapidpm-proxybuilder.version>
  </properties>

  <dependencies>
    <dependency>
      <groupId>io.dropwizard.metrics</groupId>
      <artifactId>metrics-core</artifactId>
    </dependency>
    <dependency>
      <groupId>com.google.code.gson</groupId>
      <artifactId>gson</artifactId>
      <optional>true</optional>
      <!-- case: when no json de/serialization -->
    </dependency>

    <dependency>
      <groupId>org.rapidpm</groupId>
      <artifactId>rapidpm-dependencies-core-reflections</artifactId>
    </dependency>

    <dependency>
      <groupId>org.apache.commons</groupId>
      <artifactId>commons-vfs2</artifactId>
      <scope>provided</scope>
      <optional>true</optional>
      <!-- case: -->
    </dependency>

  </dependencies>


  <repositories>
    <repository>
      <id>snapshots-repo</id>
      <url>https://oss.sonatype.org/content/repositories/snapshots</url>
      <releases>
        <enabled>false</enabled>
      </releases>
      <snapshots>
        <enabled>true</enabled>
        <updatePolicy>always</updatePolicy>
      </snapshots>
    </repository>
  </repositories>

  <profiles>
    <profile>
      <id>sys-nexus-deploy</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <distributionManagement>
        <repository>
          <id>sonatype-nexus-snapshots</id>
          <url>https://oss.sonatype.org/service/local/staging/deploy/maven2/</url>
        </repository>
        <snapshotRepository>
          <id>sonatype-nexus-snapshots</id>
          <url>https://oss.sonatype.org/content/repositories/snapshots</url>
        </snapshotRepository>
      </distributionManagement>
    </profile>
  </profiles>

</project>
